Get community notes
curl --request GET \
--url https://scrapebadger.com/v1/twitter/tweets/tweet/{tweet_id}/community_notes \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/twitter/tweets/tweet/{tweet_id}/community_notes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/twitter/tweets/tweet/{tweet_id}/community_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"text": "<string>",
"created_at": "<string>",
"status": "<string>"
}
]
}{
"error": "Invalid or missing API key"
}{
"error": "Insufficient credits"
}{
"error": "Rate limit exceeded. Please retry after a short delay."
}Tweets
Get Community Notes
Get community notes (formerly Birdwatch) attached to a specific tweet. Community notes provide crowd-sourced context and fact-checking for tweets. Returns note text, status, and creation date.
GET
/
v1
/
twitter
/
tweets
/
tweet
/
{tweet_id}
/
community_notes
Get community notes
Authorizations
Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.
Path Parameters
The unique numeric ID of the tweet.
Example:
"1234567890123456789"
Response
Successfully retrieved community notes.
List of community notes for a tweet.
Array of community note objects.
Show child attributes
Show child attributes
⌘I

